Bug 1811527 - hawkular cassandra pod not using the same pvc after updating. [NEEDINFO]
Summary: hawkular cassandra pod not using the same pvc after updating.
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Hawkular
Version: 3.11.0
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: ---
: 3.11.z
Assignee: Jan Martiska
QA Contact: Junqi Zhao
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-03-09 06:49 UTC by Sudarshan Chaudhari
Modified: 2020-12-09 08:13 UTC (History)
10 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-12-09 08:13:35 UTC
Target Upstream Version:
erich: needinfo?


Attachments (Terms of Use)

Description Sudarshan Chaudhari 2020-03-09 06:49:17 UTC
Description of problem:

after upgrading the hawkular metrics to the latest version the new pvc is getting created with the name gluster-metrics-claim1 instead of using the old pvc gluster-metrics-claim.

Version-Release number of the following components:
rpm -q openshift-ansible
~~~
openshift-ansible-playbooks-3.11.170-2.git.5.8802564.el7.noarch
openshift-ansible-3.11.170-2.git.5.8802564.el7.noarch
openshift-ansible-docs-3.11.170-2.git.5.8802564.el7.noarch
openshift-ansible-roles-3.11.170-2.git.5.8802564.el7.noarch
~~~

How reproducible:
always

we tried adding the complete name of the pvc as [1], the new pvc did not get create but the cassandra pod failed while writing as the uid changed

[1] inventory variables:
~~~
openshift_metrics_cassandra_pvc_name=gluster-metrics-claim
openshift_metrics_storage_volume_name=gluster-metrics-claim
openshift_metrics_cassandra_pvc_prefix=gluster-metrics-claim
~~~


Actual results:
Ansible playbook creating the new volume instead of using the old one:
~~~
TASK [openshift_metrics : Applying /tmp/openshift-metrics-ansible-E1iyMw/templates/hawkular-cassandra-pvc1.yaml] ***
Friday 21 February 2020  16:39:26 +0100 (0:00:00.518)       0:03:20.026 ******* 
ok: [ocp-master-1.nfv.cselt.it]
~~~


Expected results:

After updating/upgrading hawlukar-metrics the existing pvc should be used. 

Additional info:
Attaching the logs from ansible-playbook.

Comment 1 Sudarshan Chaudhari 2020-03-09 06:50:01 UTC
Need help to know if this is expected or a bug. 

If bug, what changes we need to do?


Note You need to log in before you can comment on or make changes to this bug.